
package test;

import ue.util.Tools;
import junit.framework.Assert;
import junit.framework.TestCase;

/**
 */
public class TestToolsCalculateMethod extends TestCase
{
    /**
     * Test method for {@link ue.util.Tools#calculate(java.lang.String)}.
     */
    public void testCalculate()
    {
        try{
            // test operator priority
            Assert.assertEquals(Tools.calculate("10^2 + 5 / 5 - 4 * 10"), 61, 0.002);
            Assert.assertEquals(Tools.calculate("1-2/1+1"), 0, 0.002);
            
            // test brackets
            Assert.assertEquals(Tools.calculate("10*(10*(4*(5-2))/10^(1+1))"), 12, 0.002);
            Assert.assertEquals(Tools.calculate("5*10^(1-2/1+1)+(10-10)"), 5, 0.002);
            
            // preserves numbers?
            Assert.assertEquals(Tools.calculate("9"), 9, 0.002);
        }
        catch (Exception e)
        {
            e.printStackTrace();
            Assert.fail(e.getMessage());
	}
    }
}
