@echo off

set BIN=.\bin
set SRC=.\source
set MAIN=.\ue\UE.java

echo Compiling UE source to %BIN%...

REM delete and create the bin directory
if not exist %BIN% goto NoBin
rmdir /S /Q %BIN%

:NoBin
mkdir %BIN%

REM compile
cd %SRC%
javac -d .%BIN% -Xlint:deprecation -Xlint:unchecked %MAIN%

REM copy non *.java files
copy /B *.properties .%BIN%
copy /B .\ue\*.wav .%BIN%\ue
copy /B .\ue\*.png .%BIN%\ue

cd ..