#!/bin/bash

BIN="./bin"
SRC="./source"
MAIN="./ue/UE.java"

echo "Compiling UE source to $BIN..."

# delete and create the bin directory
rm -rf $BIN
mkdir $BIN

# compile
cd $SRC
javac -d .$BIN -Xlint:deprecation -Xlint:unchecked $MAIN

# copy non *.java files
cp -rf `ls *.properties` .$BIN
cp -rf `ls ./ue/*.wav ./ue/*.png` .$BIN/ue

cd ..
