#!/bin/bash

if [ $# -ne 1 ]; then
	echo
	echo "All I need is the zip file name, please."
	echo
	exit
fi

APP="./app"

echo "Removing junk files from $APP..."

rm -f $APP/*.log $APP./*.ini

if [ ! -f "$APP/UE.jar" ]; then
	bash ./pack.sh
fi

echo "Creating $1..."

rm -f "$1"

zip -jq "$1" $APP $APP/*

