#!/bin/bash

if [ $# -ne 1 ]; then
	echo
	echo "All I need is the zip file name, please."
	echo
	exit
fi

APP="./app"
SRC="./source"
HELP="./help"
SCRIPTS="./compile.sh ./compile.bat ./pack.sh ./pack.bat ./run.sh ./run.bat ./create.sh ./create.bat ./pack_app.sh ./pack_app.bat ./pack_source.sh ./pack_source.bat ./clean_properties.sh"

echo "Creating $1..."

rm -f "$1"

# clean
rm -f $APP/*.log $APP/*.ini $APP/*.jar $APP/*.zip

zip -rq "$1" $APP $APP
zip -rq "$1" $SRC $SRC
zip -rq "$1" $HELP $HELP
zip -q "$1" $SCRIPTS
