/*
	Ultimate Editor for Birth Of The Federation 1.02
	Copyright (C) 2005-2007  Alan Podlesek
	
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
	
	
	File: UnsupportedImage.java
	
	Written by: Alan Podlesek <seqdcer@yahoo.com>
	
	Last modified: 6.9.2007
*/

package ue.exception;

/**When an image is processed that is not supported this exception may be thrown.*/
@SuppressWarnings("serial")
public class UnsupportedImage extends Exception{

	public UnsupportedImage (){
		super();	
	}

	public UnsupportedImage (String message){
		super(message);
	}
	
	public UnsupportedImage (String message, Throwable cause){
		super(message, cause);
	}

	public UnsupportedImage (Throwable cause){
		super(cause);
	}
}