package ue.gui;

public class CheckItem {

    private String string;
    private boolean selected = false;
    private boolean editable = false;

    public CheckItem(String string, boolean selected, boolean editable) {
        super();
        this.string = string;
        this.selected = selected;
        this.editable = editable;
    }

    public boolean isSelected() {
        return selected;
    }

    public void setSelected(boolean sel) {
        if (editable) {
            selected = sel;
        }
    }

    @Override
    public String toString() {
        return string;
    }
}
